#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-tasty-sugar-z-tasty-sugar-internal
version:              2.1.0.0
package-name:         tasty-sugar
lib-name:             tasty-sugar-internal
id:
    tasty-sugar-2.1.0.0-DswCCoEhm2oGEAEH0AV14O-tasty-sugar-internal

key:
    tasty-sugar-2.1.0.0-DswCCoEhm2oGEAEH0AV14O-tasty-sugar-internal

license:              ISC
copyright:            Kevin Quick, 2019-2022
maintainer:           kquick@galois.com
author:               Kevin Quick
homepage:             https://github.com/kquick/tasty-sugar
synopsis:             Tests defined by Search Using Golden Answer References
description:

    A tasty testing framework that builds individual test configurations
    from a set of input files and expected results (golden) files along
    with associated files, where multiple expected results and
    associated files for each input file can be parameterized by
    filename.

    Additionally a tasty ingredient is supplied that can be used to show
    the search process and resulting test configurations without
    actually running the tests.

category:             Testing
abi:                  f2456b6cfaf7da48f881e05743e13f8e
exposed-modules:
    Test.Tasty.Sugar.Analysis Test.Tasty.Sugar.AssocCheck
    Test.Tasty.Sugar.Candidates Test.Tasty.Sugar.ExpectCheck
    Test.Tasty.Sugar.Iterations Test.Tasty.Sugar.ParamCheck
    Test.Tasty.Sugar.Report Test.Tasty.Sugar.Types

import-dirs:          /usr/lib/ghc-9.2.8/site-local/tasty-sugar-2.1.0.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/tasty-sugar-2.1.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-tasty-sugar
hs-libraries:
    HStasty-sugar-2.1.0.0-DswCCoEhm2oGEAEH0AV14O-tasty-sugar-internal

depends:
    base-4.16.4.0 containers-0.6.5.1 directory-1.3.6.2
    filemanip-0.3.6.3-Fo9cSgdG1pM1prM9OEza0P filepath-1.4.2.2
    kvitable-1.0.3.0-4Z5FhbHjD1mLCBVJoQgl8E
    logict-0.7.1.0-CjhzkoqO3OSHqt1tShxzpp
    microlens-0.4.13.1-HPplyG5VOciEIF62YegSgA mtl-2.2.2
    parallel-3.2.2.0-KgDyPHm89eYAjQsIhXthC1
    prettyprinter-1.7.1-AXGwST4URaJEx6H9Czu9UT text-1.2.5.0

haddock-interfaces:   /usr/share/doc/haskell-tasty-sugar/html/tasty-sugar.haddock
haddock-html:         /usr/share/doc/haskell-tasty-sugar/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 tasty-sugar
version:              2.1.0.0
visibility:           public
id:                   tasty-sugar-2.1.0.0-It2dlZOrst5Bn5KSRmGYLx
key:                  tasty-sugar-2.1.0.0-It2dlZOrst5Bn5KSRmGYLx
license:              ISC
copyright:            Kevin Quick, 2019-2022
maintainer:           kquick@galois.com
author:               Kevin Quick
homepage:             https://github.com/kquick/tasty-sugar
synopsis:             Tests defined by Search Using Golden Answer References
description:

    A tasty testing framework that builds individual test configurations
    from a set of input files and expected results (golden) files along
    with associated files, where multiple expected results and
    associated files for each input file can be parameterized by
    filename.

    Additionally a tasty ingredient is supplied that can be used to show
    the search process and resulting test configurations without
    actually running the tests.

category:             Testing
abi:                  8208d6cb8c04127ad23fef825d070f1a
exposed:              True
exposed-modules:      Test.Tasty.Sugar
import-dirs:          /usr/lib/ghc-9.2.8/site-local/tasty-sugar-2.1.0.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/tasty-sugar-2.1.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-tasty-sugar
hs-libraries:         HStasty-sugar-2.1.0.0-It2dlZOrst5Bn5KSRmGYLx
depends:
    base-4.16.4.0 containers-0.6.5.1 directory-1.3.6.2
    filemanip-0.3.6.3-Fo9cSgdG1pM1prM9OEza0P filepath-1.4.2.2
    logict-0.7.1.0-CjhzkoqO3OSHqt1tShxzpp
    optparse-applicative-0.17.1.0-5WwaUeflbC2jns3305ikj
    prettyprinter-1.7.1-AXGwST4URaJEx6H9Czu9UT
    tasty-1.4.3-4kxzLgBJKzgC8Lo1NTxC1p
    tasty-sugar-2.1.0.0-DswCCoEhm2oGEAEH0AV14O-tasty-sugar-internal
    text-1.2.5.0

haddock-interfaces:   /usr/share/doc/haskell-tasty-sugar/html/tasty-sugar.haddock
haddock-html:         /usr/share/doc/haskell-tasty-sugar/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

